<?php 
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");

if(!comprobar_sesion()){
	$responce->page = 0;
	$responce->total =0;
	$responce->records = "0";
	echo json_encode($response);
	exit();
}
$codigo_grupo=escapar($_POST["cdgr"],'int');

if($codigo_grupo=='0x'){
	header("Content-type: application/json");
	echo json_encode(array());
	exit;
}
	
require_once("../includes/MySQL.php");

$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));


$periodo=$academia->escapar($_POST["per_calif"],'int');

$wh=" and aca_estudiantesxgrupos.cod_grupo='$codigo_grupo' ";

$tbls="FROM
aca_estudiantes
INNER JOIN aca_estudiantesxgrupos ON aca_estudiantesxgrupos.cod_estudiante = aca_estudiantes.cod_estudiante
LEFT JOIN aca_disciplina_final ON aca_disciplina_final.cod_estudiante = aca_estudiantes.cod_estudiante and aca_disciplina_final.periodo='$periodo'";		

$sql = " SELECT aca_estudiantes.cod_estudiante,
aca_estudiantes.numedocumento_est,
CONCAT_WS(' ',aca_estudiantes.apellido1_est, aca_estudiantes.apellido2_est, aca_estudiantes.nombre1_est, aca_estudiantes.nombre2_est) AS nom_ape,
IF(ISNULL(aca_disciplina_final.nota_def_letras) ,'Excelente',lower(aca_disciplina_final.nota_def_letras)) as nota_dic 
 $tbls WHERE 1=1".$wh. " order by nom_ape asc";


$academia->instruccion($sql);
$i=0;
if(isset($_POST["notas"])){
	$responce=array();
	while($row = $academia->extraer_registro()) {
		$responce[]=array(cd=>$row[cod_estudiante],nota=>ucfirst($row[nota_dic]));
	}
}else{
	$responce->page = $page;
	$responce->total = $total_pages;
	$responce->records = $count;
	while($row = $academia->extraer_registro()) {
		$responce->rows[$i]['id']=$row[cod_estudiante];
		$responce->rows[$i]['cell']=array($row[numedocumento_est],$row[nom_ape], ucfirst($row[nota_dic]));
		$i++;
	} 
}

header("Content-type: application/json");
echo json_encode($responce);
		
$academia->cerrar();
?>
        